### [ChargingStationCSRSample.pem](ChargingStationCSRSample.pem)

This CSR is taken from SignCertificateRequest sent by EVerest

### [V2GCACertChainSample.pem](V2GCACertChainSample.pem)

This encoded pem string is in the successful response from https://hubject.stoplight.io/docs/open-plugncharge/e246aa213bc22-obtaining-ca-certificates-iso-15118-2-and-iso-15118-20

### [V2GLeafCertificateSample.pem](V2GLeafCertificateSample.pem)

This encoded pem sample is from https://hubject.stoplight.io/docs/open-plugncharge/486f0b8b3ded4-simple-enroll-iso-15118-2-and-iso-15118-20

### [RootCertificateSample.pem](RootCertificateSample.pem)

### [RootKeySample.pem](RootKeySample.pem)

### [SubCACertificateSample.pem](SubCACertificateSample.pem)

### [SubCAKeySample.pem](SubCAKeySample.pem)

### [LeafCertificateSample.pem](LeafCertificateSample.pem)

### [LeafKeySample.pem](LeafKeySample.pem)

These files are generated by our generating certificate api below. The generated files are stored in the fileAccess storage.

```
curl --location 'http://localhost:8080/data/certificates/certificateChain' \
--header 'Content-Type: application/json' \
--data '{
    "organizationName": "s44",
    "commonName": "localhost",
    "signatureAlgorithm": "SHA256withECDSA",
    "filePath": "5b24493b-c4b7-4dd9-a99b-e535eb766422",
    "selfSigned": true,
    "validBefore": "2034-08-19T00:00:00.000Z"
}'
```
